<div class="player" on:click="openPlayer(player.id)">
    <div class="id">{player.id}</div>
    <div>
        <span class="team">{player.team}</span> - <span class="name">{player.name}</span>
    </div>
</div>

<style>
    .player {
        padding: .5rem;
        border: 1px solid #333;
        margin: .5rem;
        cursor: pointer;
    }
</style>

<script>
    import { Api } from '../api';
    import * as RouterService from '../Router/RouterService';

    export default {
        methods: {
            openPlayer(playerId) {
                RouterService.navigate(`/timeline/${playerId}`);
            }
        }
    }
</script>